Bug 138879 - pulse: segmentation fault with empty lvs.conf file.
Summary: pulse: segmentation fault with empty lvs.conf file.
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: piranha   
(Show other bugs)
Version: 3
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-11 19:33 UTC by Derek Anderson
Modified: 2009-04-16 20:15 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-12 19:04:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:470 normal SHIPPED_LIVE Updated piranha package 2004-12-20 05:00:00 UTC

Description Derek Anderson 2004-11-11 19:33:47 UTC
Description of problem:
This is relevant only to the x86_64 architecture so far.

Install piranha, set piranha-passwd, and start piranha-gui service
(this is probably not relevant, but it is the procedure I used).  Then
run 'pulse'.

[root@link-01 root]# pulse --verbose
Segmentation fault
[root@link-01 root]# echo $?
139

The lvs.cf file is empty, so I would expect to see a parse error (as
happens on i386) but not a seg fault.

[root@bench-01 piranha]# pulse --verbose
pulse: error parsing /etc/sysconfig/ha/lvs.cf at line 0: Empty
configuration

Version-Release number of selected component (if applicable):
piranha-0.7.9-1

How reproducible:
100%

Steps to Reproduce:
1. Install piranha
2. Start 'pulse' before doing any configuration to lvs.cf
3.
  
Actual results:
Segmentation fault

Expected results:
Parse error on lvs.cf.


Additional info:

Comment 1 Lon Hohberger 2004-11-11 20:43:45 UTC
fixed in .7.10-1

Comment 2 Derek Anderson 2004-11-12 19:04:16 UTC
Verified in piranha-0.7.10-2.

Comment 3 John Flanagan 2004-12-21 01:26:17 UTC
An advisory has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-470.html



Note You need to log in before you can comment on or make changes to this bug.